# List order line items Lists order line items. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/order-line-items Version: 2026-05-08 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - itemname - itemnumber - itemstate - itemtype - orderid - ordernumber - productcode - productrateplanchargeid - uom - relatedsubscriptionnumber - inlinediscounttype - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "billto", "invoiceitems", "invoiceowneraccount", "owneraccount", "soldtoinfo" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - itemname - itemnumber - itemstate - itemtype - orderid - ordernumber - productcode - productrateplanchargeid - billtoid - soldto - owneraccountid - invoiceowneraccountid - uom - relatedsubscriptionnumber - originalorderid - originalordernumber - originalorderlineitemid - inlinediscounttype - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the order line item. - `data.createdById` (string) The unique identifier of the user who created the order line item. - `data.createdDate` (string) The time that the order line item gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.updatedById` (string) The unique identifier of the user who last updated the order line item. - `data.updatedDate` (string) The date and time when the order line item was last updated. - `data.accountingCode` (string,null) The accountingCode for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.billTargetDate` (string) The target date for the Order Line Item (OLI) to be picked up by bill run for generating billing documents. To generate billing documents for an OLI, you must set this field and set the itemState field to SentToBilling. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.amountPerUnit` (number) The actual charged amount per unit for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.description` (string) The description of the Order Line Item. - `data.amount` (number) The total amount for the Order Line Item (OLI). - `data.amountWithoutTax` (number) The total amount for the Order Line Item (OLI) excluding tax. - `data.itemName` (string) The name of the Order Line Item (OLI). You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.itemNumber` (string) The number for the Order Line Item (OLI). You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.itemState` (string) The state of the Order Line Item (OLI). See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information. To generate invoice for an OLI, you must set this field to SentToBilling and set the billTargetDate field . You can update this field for a sales or return OLI only when the OLI is in the Executing or 'Booked' or SentToBillingstate (when the itemState field is set as Executing or SentToBilling). Enum: "Executing", "Booked", "SentToBilling", "Complete", "Cancelled" - `data.itemType` (string) The type of the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). Enum: "Product", "Fee", "Services" - `data.listPricePerUnit` (number) The list price per unit for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.listPrice` (number) The extended list price for an order line item, calculated by the formula: listPrice = listPricePerUnit * quantity - `data.orderId` (string) The ID of the order that the order line item belongs to. - `data.orderNumber` (string) The number of the order that the order line item belongs to. - `data.productCode` (string) The product code for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.purchaseOrderNumber` (string) Used by customers to specify the Purchase Order Number provided by the buyer. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. You can update this field for a sales or return OLI only when the OLI in the Executing state (when the itemState field is set as Executing). - `data.revenueRecognitionRule` (string) The Revenue Recognition rule for the Order Line Item. - `data.productRatePlanChargeId` (string) ID of a Product Rate Plan Charge. Only one-time charges are supported. - `data.billToId` (string) The ID of a contact that belongs to the billing account of the order line item. Use this field to assign an existing account as the bill-to contact of an order line item. - `data.billToSnapshotId` (string) The snapshot of the ID for an account used as the bill-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The billToSnapshotId field is exposed while retrieving the order line item details. - `data.shipTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the ship-to contact of an order line item. - `data.shipToSnapshotId` (string) The snapshot of the ID for an account used as the ship-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The shipToSnapshotId field is exposed while retrieving the order line item details. - `data.soldTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the sold-to contact of an order line item. - `data.soldToSnapshotId` (string) The snapshot of the ID for an account used as the sold-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The soldToSnapshotId field is exposed while retrieving the order line item details. - `data.soldToOrderContactId` (string) The ID of the sold-to contact for the order. - `data.ownerAccountId` (string) The account ID of the owner of the order line item. - `data.invoiceOwnerAccountId` (string) The account ID of the invoice owner of the order line item. - `data.taxCode` (string) The tax code for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.taxMode` (string) The tax mode for the Order Line Item (OLI). You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). Enum: "TaxInclusive", "TaxExclusive" - `data.transactionDate` (string) The date when the transaction occurs. - `data.uOM` (string) Specifies the units to measure usage. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.relatedSubscriptionNumber` (string) This field is used to relate an order line item to an subscription. You can update this field only for a sales OLI and only when the sales OLI is in the Executing state (when the itemState field is set as Executing). - `data.transactionEndDate` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the transactionStartDate field. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.transactionStartDate` (string) The date a transaction starts. The default value of this field is the order date. You can update this field for a sales or return OLI only when the OLI is in the Executing state (when the itemState field is set as Executing). - `data.excludeItemBillingFromRevenueAccounting` (boolean) Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `data.excludeItemBookingFromRevenueAccounting` (boolean) Indicates whether to exclude the related rate plan charges and order line items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `data.originalOrderDate` (string) The date of the original sale order for a return order line item. - `data.amendedByOrderOn` (string) The date of the amended order for a return order line item. - `data.itemCategory` (string) The category of the Order Line Item, to indicate a product sale or return. Enum: "Sales", "Return" - `data.originalOrderId` (string) The ID of the original sale order for a return order line item. - `data.originalOrderLineItemId` (string) The ID of the original sale order line item for a return order line item. - `data.originalOrderLineItemNumber` (string) The number of the original sale order line item for a return order line item. - `data.originalOrderNumber` (string) The number of the original sale order for a return order line item. - `data.quantityAvailableForReturn` (number) The quantity that can be returned for an order line item. - `data.quantityFulfilled` (number) The fulfilled quantity for an order line item. - `data.quantityPendingFulfillment` (number) The quantity to fulfill for an order line item. - `data.requiresFulfillment` (boolean) The flag to show whether fulfillment is needed or not. It's derived from billing rule of the Order Line Item. - `data.billingRule` (string) The billing rule of the Order Line Item. Enum: "TriggerWithoutFulfillment", "TriggerAsFulfillmentOccurs" - `data.inlineDiscountPerUnit` (number) This field is used in accordance with the inlineDiscountType field, in the following manner: * If the inlineDiscountType field is set as Percentage, this field specifies the discount percentage for each unit of the order line item. For exmaple, if you specify 5 in this field, the discount percentage is 5%. * If the inlineDiscountType field is set as FixedAmount, this field specifies the discount amount on each unit of the order line item. For exmaple, if you specify 10 in this field, the discount amount on each unit of the order line item is 10. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. - `data.inlineDiscountType` (string) This field is used to specify the inline discount type, which can be Percentage, FixedAmount, or None. The default value is Percentage. This field is used together with the inlineDiscountPerUnit field to specify inline discounts for order line items. The inline discount is applied to the list price of an order line item. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. Enum: "Percentage", "FixedAmount", "None" - `data.discount` (number) This field shows the total discount amount that is applied to an order line item after the inlineDiscountType, inlineDiscountPerUnit and quantity fields are set. The inline discount is applied to the list price of an order line item. - `data.recognizedRevenueAccountingCodeId` (string) The recognized revenue accounting code for the Order Line Item. - `data.deferredRevenueAccountingCodeId` (string) The deferred revenue accounting code for the Order Line Item. - `data.contractAssetAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.contractLiabilityAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.contractRecognizedRevenueAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.unbilledReceivablesAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.adjustmentRevenueAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.adjustmentLiabilityAccountingCodeId` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `data.billTo` (object) - `data.billTo.id` (string) The unique identifier of the contact. - `data.billTo.createdById` (string) The unique identifier of the user who created the contact. - `data.billTo.createdDate` (string) The date and time when the contact was created. - `data.billTo.updatedById` (string) The unique identifier of the user who last updated the contact. - `data.billTo.updatedDate` (string) The date and time when the contact was last updated. - `data.billTo.accountId` (string) The ID of the account associated with the contact. - `data.billTo.address1` (string) The first line of the contact's address, which is often a street address or business name. - `data.billTo.address2` (string) The second line of the contact's address. - `data.billTo.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `data.billTo.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `data.billTo.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `data.billTo.city` (string) The city of the contact's address. - `data.billTo.country` (string) The country of the contact's address. - `data.billTo.county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `data.billTo.fax` (string) The contact's fax number. - `data.billTo.description` (string) A description for the contact. - `data.billTo.firstName` (string) The contact's first name. - `data.billTo.homePhone` (string) The contact's home phone number. - `data.billTo.lastName` (string) The contact's last name. - `data.billTo.mobilePhone` (string) The mobile phone number of the contact. - `data.billTo.nickname` (string) A nickname for the contact. - `data.billTo.otherPhone` (string) An additional phone number for the contact. - `data.billTo.otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `data.billTo.personalEmail` (string) The contact's personal email address. - `data.billTo.state` (string) The state or province of the contact's address. - `data.billTo.postalCode` (string) ZIP code or other postal code of the contact's address. - `data.billTo.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `data.billTo.workEmail` (string) The contact's business email address. - `data.billTo.workPhone` (string) The contact's business phone number. - `data.invoiceItems` (array) - `data.invoiceItems.id` (string) The unique identifier of the invoice item. - `data.invoiceItems.createdById` (string) The unique identifier of the user who created the invoice item. - `data.invoiceItems.createdDate` (string) The date and time when the invoice item was created. - `data.invoiceItems.updatedById` (string) The unique identifier of the user who last updated the invoice item. - `data.invoiceItems.updatedDate` (string) The date and time when the invoice item was last updated. - `data.invoiceItems.invoiceId` (string) The unique identifier of the invoice to which this invoice item belongs. - `data.invoiceItems.invoiceScheduleId` (string) The ID of the invoice schedule associated with the rate plan charge on the subscription. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.invoiceItems.invoiceScheduleItemId` (string) The ID of the invoice schedule item that generates this invoice item. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.invoiceItems.ratePlanChargeId` (string) The ID of the rate plan charge associated with the invoice item. - `data.invoiceItems.accountingCode` (string) The accounting code associated with the invoice item. - `data.invoiceItems.appliedToInvoiceItemId` (string) The unique ID of the invoice item that the discount charge is applied to. - `data.invoiceItems.chargeAmount` (number) The amount of the charge. Note: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge. - `data.invoiceItems.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `data.invoiceItems.chargeName` (string) The name of the charge. - `data.invoiceItems.chargeNumber` (string) Number of the charge. - `data.invoiceItems.commitmentChargeNumber` (string) - `data.invoiceItems.commitmentChargeSegmentNumber` (string) - `data.invoiceItems.description` (string) The description of the invoice item. - `data.invoiceItems.discountAmount` (number) The amount of the discount. - `data.invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.fulfillmentId` (string) The reference ID of the fulfillment associated with the invoice item. - `data.invoiceItems.itemShipToContactId` (string) The ID of the ship-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.itemSoldToContactId` (string) The ID of the sold-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.invoiceItems.processingType` (string) The kind of the charge for the invoice item. - 0: charge - 1: discount - 2: prepayment - 3: tax Enum: "0", "1", "2", "3" - `data.invoiceItems.quantity` (number) The quantity of this item, in the configured unit of measure for the charge. - `data.invoiceItems.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `data.invoiceItems.revRecStartDate` (string) - `data.invoiceItems.serviceEndDate` (string) The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_. - `data.invoiceItems.serviceStartDate` (string) The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge. - `data.invoiceItems.sKU` (string) The SKU of the product associated with the invoice item. - `data.invoiceItems.sourceItemType` (string) The type of the source item. Enum: "SubscriptionComponent", "Rounding", "ProductRatePlanCharge", "None", "OrderLineItem" - `data.invoiceItems.subscriptionId` (string) ID of the subscription associated with the invoice item. - `data.invoiceItems.subscriptionNumber` (string) Number of the subscription associated with the invoice item. - `data.invoiceItems.taxAmount` (number) The amount of tax applied to the charge. - `data.invoiceItems.taxCode` (string) The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `data.invoiceItems.taxExemptAmount` (number) - `data.invoiceItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `data.invoiceItems.unitPrice` (number) The per-unit price of the invoice item. Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts). - `data.invoiceItems.uOM` (string) The unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge. - `data.invoiceItems.balance` (number) The balance of the invoice item. Note: This field is only available if you have the Invoice Settlement feature enabled. - `data.invoiceItems.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled. - `data.invoiceItems.accountReceivableAccountingCodeId` (string) ID of the account receivable accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.recognizedRevenueAccountingCodeId` (string) ID of the recognized revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.deferredRevenueAccountingCodeId` (string) ID of the deferred revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.contractAssetAccountingCodeId` (string) ID of the accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.contractLiabilityAccountingCodeId` (string) ID of the accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.contractRecognizedRevenueAccountingCodeId` (string) ID of the accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.unbilledReceivablesAccountingCodeId` (string) - `data.invoiceItems.adjustmentRevenueAccountingCodeId` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.adjustmentLiabilityAccountingCodeId` (string) ID of the accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.invoiceItems.journalEntryId` (string) The ID of the journal entry that corresponds to this invoice item. - `data.invoiceItems.accountId` (string) The ID of the account associated with the invoice item. - `data.invoiceItems.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `data.invoiceItems.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `data.invoiceItems.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `data.invoiceItems.parentAccountId` (string) The parent account of the account associated with the invoice. Note: This field is available only if you have Customer Hierarchy enabled for your tenant. - `data.invoiceItems.billToContactId` (string) The ID of the bill-to contact associated with the invoice. - `data.invoiceItems.shipToContactId` (string) The ID of the ship-to contact associated with the invoice. - `data.invoiceItems.soldToContactId` (string) The ID of the sold-to contact associated with the invoice. - `data.invoiceItems.defaultPaymentMethodId` (string) The ID of the default payment method on the associated account. - `data.invoiceItems.ratePlanId` (string) The ID of the rate plan that the invoice is created from. - `data.invoiceItems.amendmentId` (string) The ID of the amendment associated with the subscription. Note: This field is available only if you do not have Orders enabled for your tenant. - `data.invoiceItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. - `data.invoiceItems.productRatePlanId` (string) The ID of the product rate plan that the invoice item is created from. - `data.invoiceItems.productId` (string) The ID of the product that the invoice item is created from. - `data.invoiceItems.bookingReference` (string) The booking reference of the invoice item. - `data.invoiceItems.itemType` (string) The type of the invoice item. - `data.invoiceItems.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `data.invoiceItems.revRecCode` (string) The revenue recognition code. - `data.invoiceItems.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `data.invoiceItems.revenueRecognitionRuleName` (string) The revenue recognition rule of the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `data.invoiceItems.subscriptionOwnerId` (string) The ID of the subscription owner associated with the invoice item. - `data.invoiceItems.orderLineItemId` (string) The reference ID of the oder line item associated with the invoice item. - `data.invoiceItems.invoice` (object) The invoices to which the invoice item belongs. - `data.invoiceItems.subscription` (object) The invoice to which the invoice item belongs. - `data.invoiceItems.ratePlanCharge` (object) The rate plan charge associated with the invoice item. - `data.invoiceItems.orderLineItem` (object) The order line item associated with the invoice item. - `data.invoiceOwnerAccount` (object) - `data.invoiceOwnerAccount.id` (string) The unique identifier of the account. - `data.invoiceOwnerAccount.createdById` (string) The unique identifier of the user who created the account. - `data.invoiceOwnerAccount.createdDate` (string) The date and time when the account was created. - `data.invoiceOwnerAccount.updatedById` (string) The unique identifier of the user who last updated the account. - `data.invoiceOwnerAccount.updatedDate` (string) The date and time when the account was last updated. - `data.invoiceOwnerAccount.accountNumber` (string) The account number that identifies the account. - `data.invoiceOwnerAccount.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.invoiceOwnerAccount.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.invoiceOwnerAccount.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.invoiceOwnerAccount.balance` (number) The customer's total invoice balance minus credit balance. - `data.invoiceOwnerAccount.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.invoiceOwnerAccount.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.invoiceOwnerAccount.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.invoiceOwnerAccount.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.invoiceOwnerAccount.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.invoiceOwnerAccount.creditBalance` (number) The current credit balance on the account. - `data.invoiceOwnerAccount.crmId` (string) External identifier of the account in a CRM system. - `data.invoiceOwnerAccount.currency` (string) A currency defined in the web-based UI administrative settings. - `data.invoiceOwnerAccount.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.invoiceOwnerAccount.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.invoiceOwnerAccount.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.invoiceOwnerAccount.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.invoiceOwnerAccount.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.invoiceOwnerAccount.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.invoiceOwnerAccount.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.invoiceOwnerAccount.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.invoiceOwnerAccount.name` (string) The name of the account. - `data.invoiceOwnerAccount.notes` (string) A string of up to 65,535 characters. - `data.invoiceOwnerAccount.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.invoiceOwnerAccount.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.invoiceOwnerAccount.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.invoiceOwnerAccount.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.invoiceOwnerAccount.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.invoiceOwnerAccount.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.invoiceOwnerAccount.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.invoiceOwnerAccount.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.invoiceOwnerAccount.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.invoiceOwnerAccount.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.invoiceOwnerAccount.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.invoiceOwnerAccount.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.invoiceOwnerAccount.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.invoiceOwnerAccount.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.invoiceOwnerAccount.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.invoiceOwnerAccount.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.invoiceOwnerAccount.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.invoiceOwnerAccount.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.invoiceOwnerAccount.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.invoiceOwnerAccount.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.invoiceOwnerAccount.unappliedBalance` (number) Total unapplied balance in this currency. - `data.invoiceOwnerAccount.vATId` (string) EU Value Added Tax ID. - `data.invoiceOwnerAccount.mrr` (number) Monthly recurring revenue for the account. - `data.invoiceOwnerAccount.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.invoiceOwnerAccount.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.invoiceOwnerAccount.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.invoiceOwnerAccount.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.invoiceOwnerAccount.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.invoiceOwnerAccount.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.invoiceOwnerAccount.billTo` (object) The bill-to contact on this account. - `data.invoiceOwnerAccount.shipTo` (object) The ship-to contact on the account. - `data.invoiceOwnerAccount.soldTo` (object) The sold-to contact on the account. - `data.invoiceOwnerAccount.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.invoiceOwnerAccount.subscriptions` (array) The subscriptions associated with the account. - `data.invoiceOwnerAccount.payments` (array) The payments associated with the account. - `data.invoiceOwnerAccount.refunds` (array) The refunds associated with the account. - `data.invoiceOwnerAccount.creditMemos` (array) The credit memos associated with the account. - `data.invoiceOwnerAccount.debitMemos` (array) The debit memos associated with the account. - `data.invoiceOwnerAccount.invoices` (array) The invoices associated with the account. - `data.invoiceOwnerAccount.usages` (array) The usage records associated with the account. - `data.invoiceOwnerAccount.paymentMethods` (array) The payment methods associated with the account. - `data.ownerAccount` (object) - `data.soldToInfo` (object) ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.